%define cpanname Convert-UUlib

Name:    perl-%{cpanname}
Version: 1.12
Epoch:   1
Release: 1%{?dist}
Summary: Perl interface to the uulib library

Group:     Development/Libraries
License:   GPL+ or Artistic
URL:       http://search.cpan.org/dist/%{cpanname}/
Source:    http://cpan.org/authors/id/M/ML/MLEHMANN/%{cpanname}-%{version}.tar.gz
BuildRoot: %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

BuildRequires: perl(ExtUtils::MakeMaker)
Requires:      perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
A perl interface to the uulib library (a.k.a. uudeview/uuenview)


%prep
%setup -q -n %{cpanname}-%{version}


%build
%{__perl} Makefile.PL INSTALLDIRS=vendor OPTIMIZE="$RPM_OPT_FLAGS"
make %{?_smp_mflags}


%install
rm -fr %{buildroot}
make pure_install PERL_INSTALL_ROOT=%{buildroot}

find %{buildroot} -type f -name .packlist -exec rm -f {} ';'
find %{buildroot} -type f -name '*.bs' -a -size 0 -exec rm -f {} ';'
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null ';'

chmod -R u+rwX,g+rX %{buildroot}/*


%check
make test


%clean
rm -fr %{buildroot}


%files
%defattr(0644,root,root,0755)
%doc Changes COPYING* README doc/*

%dir %{perl_vendorarch}/Convert
%dir %{perl_vendorarch}/auto/Convert
%dir %{perl_vendorarch}/auto/Convert/UUlib

%{perl_vendorarch}/Convert/*.pm
%attr(0755,root,root) %{perl_vendorarch}/auto/Convert/UUlib/*.so

%{_mandir}/man?/Convert::UUlib*


%changelog
* Sat Jul 25 2009 Robert Scheck <robert@fedoraproject.org> 1:1.12-1
- Upgrade to 1.12

* Mon Feb 23 2009 Robert Scheck <robert@fedoraproject.org> 1:1.11-2
- Rebuild against gcc 4.4 and rpm 4.6

* Fri Jul 11 2008 Nicolas Mailhot <nicolas.mailhot at laposte.net>
- 1:1.11-1
- Fedora 10 alpha general package cleanup

* Sun May 31 2008 Robert Scheck <robert@fedoraproject.org>
- 1:1.09-5
- Fixed %%check section in order to get the package built

* Thu Mar 06 2008 Tom "spot" Callaway <tcallawa@redhat.com>
- 1:1.09-4
- Rebuild for new perl

* Fri Feb 08 2008 Nicolas Mailhot <nicolas.mailhot at laposte.net>
- 1:1.09-3
- gcc 4.3 rebuild

* Mon Aug 13 2007 Nicolas Mailhot <nicolas.mailhot at laposte.net>
- 1:1.09-2
- Fix License

* Sun Aug 12 2007 Robert Scheck <robert@fedoraproject.org> 1:1.09-1
- Upgrade to 1.09 and rebuilt for EPEL branches (#250865)
- Added build requirement to perl(ExtUtils::MakeMaker)

* Tue Mar 20 2007 Nicolas Mailhot <nicolas.mailhot at laposte.net>
- 1:1.08-2
- add perl-devel BR

* Mon Jan 08 2007 Nicolas Mailhot <nicolas.mailhot at laposte.net>
- 1.08-1

* Sat Sep 02 2006  Nicolas Mailhot <nicolas.mailhot at laposte.net>
- 1.06-4
- FE6 Rebuild

* Mon Feb 13 2006 Nicolas Mailhot <nicolas.mailhot at laposte.net>
- 1.06-3
- rebuilt for new gcc4.1 snapshot and glibc changes

* Tue Jan 17 2006 Nicolas Mailhot <nicolas.mailhot at laposte.net>
- 1.06-2
- bump epoch to force updates

* Mon Jan 16 2006 Nicolas Mailhot <nicolas.mailhot at laposte.net>
- 1.06-1
- 1.06 (can't believe I'm still listed as this package owner)

* Thu Jun  2 2005 Paul Howarth <paul@city-fan.org>
- 1.051-2%{?dist}
- add dist tags for ease of syncing with FC-3 & FC-4
- remove redundant perl buildreq
- remove redundant "make test" from %%build (it's in %%check)
- remove MANIFEST from %%doc

* Sat May 21 2005 Nicolas Mailhot <Nicolas.Mailhot at laPoste.net>
- 1.051-1
- update to 1.051

* Fri Apr  7 2005 Michael Schwendt <mschwendt[AT]users.sf.net>
- rebuilt

* Mon Apr 19 2004 Nicolas Mailhot <Nicolas.Mailhot at laPoste.net>
- 0:1.03-0.fdr.1
- Updated to 1.03

* Sun Apr 18 2004 Nicolas Mailhot <Nicolas.Mailhot at laPoste.net>
- 0:1.02-0.fdr.1
- Updated to 1.02

* Sun Apr 18 2004 Nicolas Mailhot <Nicolas.Mailhot at laPoste.net>
- 0:1.01-0.fdr.2
- Merge a few tweaks from 0:0.31-0.fdr.4 (bug #375)

* Sun Apr 18 2004 Nicolas Mailhot <Nicolas.Mailhot at laPoste.net>
- 0:1.01-0.fdr.1
- Fedorization
- Cleanup

* Thu Mar 18 2004 Dag Wieers <dag@wieers.com>
- 1.01-0
- Updated to release 1.01.

* Mon Jul 14 2003 Dag Wieers <dag@wieers.com>
- 0.31-0
- Updated to release 0.31.
- Initial package. (using DAR)
